<template>
	<main class="mt-36">
		<h2 class="contents-title">Flex Card</h2>
		<div class="card-group">
			<div class="card--primary mb-12">
				<div class="card--header">Card Header</div>
				<img src="~/static/favicon.png" class="card--image" />
				<div class="card--body">
					<h5>Card</h5>
					<p class="mb-0">
						Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
						eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim
						ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut
						aliquip ex ea commodo consequat. Duis aute irure dolor in
						reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
						pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
						culpa qui officia deserunt mollit anim id est laborum.
					</p>
				</div>

				<div class="card--footer">Card Footer</div>
			</div>
			<div class="card--secondary mb-12">
				<div class="card--header-secondary">Card Header</div>
				<img src="~/static/favicon.png" class="card--image" />
				<div class="card--body">
					<h5>Card</h5>
					<p class="mb-0">
						Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
						eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim
						ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut
						aliquip ex ea commodo consequat. Duis aute irure dolor in
						reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
						pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
						culpa qui officia deserunt mollit anim id est laborum.
					</p>
				</div>

				<div class="card--footer-secondary">Card Footer</div>
			</div>
			<div class="card--light-grey mb-12">
				<div class="card--header-light-grey">Card Header</div>
				<img src="~/static/favicon.png" class="card--image" />
				<div class="card--body">
					<h5>Card</h5>
					<p class="mb-0">
						Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
						eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim
						ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut
						aliquip ex ea commodo consequat. Duis aute irure dolor in
						reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
						pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
						culpa qui officia deserunt mollit anim id est laborum.
					</p>
				</div>
			</div>
			<div class="card mb-12">
				<img src="~/static/favicon.png" class="card--image" />
				<div class="card--body">
					<h5>Card</h5>
					<p class="mb-0">
						Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
						eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim
						ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut
						aliquip ex ea commodo consequat. Duis aute irure dolor in
						reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
						pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
						culpa qui officia deserunt mollit anim id est laborum.
					</p>
				</div>
				<div class="card--footer-card">Card Footer</div>
			</div>
		</div>
		<Code :codeText="flexCard" />
		<hr />
		<h2 class="contents-title">Baze Grid Card</h2>
		<div class="bzg card-group">
			<div
				v-for="(bio, index) in biography"
				:key="index"
				class="card--primary-bzg bzg_c mb-24 p-0"
			>
				<div class="card--header">Header Title</div>
				<img src="~/static/favicon.png" class="card--image" />
				<div class="card--body">
					<h5>{{ bio.name }}</h5>
					<p class="text-right">{{ bio.birthday }}</p>
					<p class="mb-0">{{ bio.desc }}</p>
				</div>

				<div class="card--footer">Card Footer</div>
			</div>
		</div>
		<Code :codeText="bazeGridCard" />
		<ContentFooter />
	</main>
</template>

<script>
const biographyList = [
	{
		name: 'Fields Mcconell',
		birthday: '20 Maret 2019',
		desc: 'Ullamco dolore minim culpa est non aliqua labore adipisicing commodo veniam magna culpa.'
	},
	{
		name: 'Oneil Larson',
		birthday: '13 Maret 2019',
		desc: 'Sit officia anim cupidatat cupidatat occaecat culpa ut.'
	},
	{
		name: 'White Lowe',
		birthday: '22 Maret 2019',
		desc: 'Occaecat consectetur eiusmod incididunt esse dolore.'
	},
	{
		name: 'Larson Powers',
		birthday: '3 April 2019',
		desc: 'Irure adipisicing id magna eiusmod magna id dolor esse velit.'
	},
	{
		name: 'Tami Wood',
		birthday: '24 Maret 2019',
		desc: 'Minim pariatur irure cillum culpa cupidatat qui commodo amet.'
	},
	{
		name: 'Johanna Sargent',
		birthday: '14 Februari 2019',
		desc: 'Voluptate sit anim consequat velit commodo qui tempor nisi dolor duis consequat.'
	}
]

export default {
	data() {
		return {
			biography: biographyList,
			flexCard: `<div class="card-group">
    <div class="card--primary mb-12">
        <div class="card--header">
            Card header
        </div>
        <img class="card--image" src="..." alt="">
        <div class="card--body">
            <h5>Card</h5>
            <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dignissimos quia consectetur quibusdam repudiandae!</p>
        </div>
        <div class="card--footer">
            Card footer
        </div>
    </div>
    <div class="card--secondary mb-12">
        <div class="card--header">
            Card header
        </div>
        <img class="card--image" src="..." alt="">
        <div class="card--body">
            <h5>Card</h5>
            <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
            tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
            quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
            consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
            cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
            proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
        </div>
        <div class="card--footer">
            Card footer
        </div>
    </div>
    <div class="card--light-grey mb-12">
        <div class="card--header">
            Card header
        </div>
        <img class="card--image" src="..." alt="">
        <div class="card--body">
            <h5>Card</h5>
            <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipisicing elit. A veniam rerum nihil laboriosam,
            architecto sequi dolor doloribus impedit totam voluptatibus earum vel exercitationem quas commodi. Quidem, fugit corrupti beatae accusantium!</p>
        </div>
    </div>
    <div class="card mb-12">
        <img class="card--image" src="..." alt="">
        <div class="card--body">
            <h5>Card</h5>
            <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipisicing elit. A veniam rerum nihil laboriosam,
            architecto sequi dolor doloribus impedit totam voluptatibus earum vel exercitationem quas commodi. Quidem, fugit corrupti beatae accusantium!</p>
        </div>
        <div class="card--footer">
            Card footer
        </div>
    </div>
</div>`,
			bazeGridCard: `<div class="bzg bzg--flex card-group js-card" data-card="dev/data/data.json">
    <div class="bzg_c mb-24" id="..." data-col="s12,m6,l3">
        <div class="card--primary">
            <div class="card--header">
                Header title
            </div>
            <a href="#"><img class="card--image" src="..." alt=""></a>
            <div class="card--body">
                <h5>Johanna Sargent</h5>
                <p class="text-right">14 Februari 2019</p>
                <p class="mb-0">Voluptate sit anim consequat velit commodo qui tempor nisi dolor duis consequat.</p>
            </div>
            <div class="card--footer">
                Footer title
            </div>
        </div>
    </div>
</div>`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
